com.taosdata.jdbc.rs

## Class RestfulResultSet

- java.lang.Object
- - com.taosdata.jdbc.WrapperImpl
  - - com.taosdata.jdbc.AbstractResultSet
    - - com.taosdata.jdbc.rs.RestfulResultSet

All Implemented Interfaces:
  AutoCloseable, ResultSet, Wrapper

Deprecated.

    @Deprecated
    public class RestfulResultSet
    extends AbstractResultSet

### Nested Class Summary

Nested Classes
`static class` `RestfulResultSet.Field` Deprecated.

### Field Summary

Fields
`static DateTimeFormatter` `rfc3339Parser` Deprecated.

### Fields inherited from class com.taosdata.jdbc.AbstractResultSet

`START_BACKEND_FETCH_BLOCK_NUM, timestampPrecision, wasNull`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Constructor Summary

Constructors
Constructor and Description
`RestfulResultSet(String database, Statement statement, com.fasterxml.jackson.databind.JsonNode resultJson)` Deprecated. 由一个result的Json构造结果集，对应执行show databases, show tables等这些语句，返回结果集，但无法获取结果集对应的meta，统一当成String处理

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `absolute(int row)` Deprecated.
`void` `afterLast()` Deprecated.
`void` `beforeFirst()` Deprecated.
`void` `close()` Deprecated.
`int` `findColumn(String columnLabel)` Deprecated.
`boolean` `first()` Deprecated.
`BigDecimal` `getBigDecimal(int columnIndex)` Deprecated.
`boolean` `getBoolean(int columnIndex)` Deprecated.
`byte` `getByte(int columnIndex)` Deprecated.
`byte[]` `getBytes(int columnIndex)` Deprecated.
`Date` `getDate(int columnIndex)` Deprecated.
`double` `getDouble(int columnIndex)` Deprecated.
`float` `getFloat(int columnIndex)` Deprecated.
`int` `getInt(int columnIndex)` Deprecated.
`long` `getLong(int columnIndex)` Deprecated.
`ResultSetMetaData` `getMetaData()` Deprecated.
`String` `getNString(int columnIndex)` Deprecated.
`Object` `getObject(int columnIndex)` Deprecated.
`int` `getRow()` Deprecated.
`short` `getShort(int columnIndex)` Deprecated.
`Statement` `getStatement()` Deprecated.
`String` `getString(int columnIndex)` Deprecated.
`Time` `getTime(int columnIndex)` Deprecated.
`Timestamp` `getTimestamp(int columnIndex)` Deprecated.
`Timestamp` `getTimestamp(int columnIndex, Calendar cal)` Deprecated.
`boolean` `isAfterLast()` Deprecated.
`boolean` `isBeforeFirst()` Deprecated.
`boolean` `isClosed()` Deprecated.
`boolean` `isFirst()` Deprecated.
`boolean` `isLast()` Deprecated.
`boolean` `last()` Deprecated.
`boolean` `next()` Deprecated.
`Timestamp` `parseTimestampColumnData(com.fasterxml.jackson.databind.JsonNode row, int colIndex)` Deprecated.
`boolean` `previous()` Deprecated.
`boolean` `relative(int rows)` Deprecated.

### Methods inherited from class com.taosdata.jdbc.AbstractResultSet

`cancelRowUpdates, checkAvailability, clearWarnings, deleteRow, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDouble, getFetchDirection, getFetchSize, getFloat, getForkJoinPool, getHoldability, getInt, getLong, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRowId, getRowId, getShort, getSQLXML, getSQLXML, getString, getTime, getTime, getTime, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, moveToCurrentRow, moveToInsertRow, refreshRow, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, setTimestampPrecision, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

### Methods inherited from class com.taosdata.jdbc.WrapperImpl

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`updateObject, updateObject, updateObject, updateObject`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Field Detail

#### rfc3339Parser

    public static final DateTimeFormatter rfc3339Parser

Deprecated.

### Constructor Detail

#### RestfulResultSet

    public RestfulResultSet(String database,
                            Statement statement,
                            com.fasterxml.jackson.databind.JsonNode resultJson)
                     throws SQLException

Deprecated.
由一个result的Json构造结果集，对应执行show databases, show tables等这些语句，返回结果集，但无法获取结果集对应的meta，统一当成String处理

Parameters:
  `resultJson:` - 包含data信息的结果集，有sql返回的结果集
Throws:
  `SQLException`

### Method Detail

#### parseTimestampColumnData

    public Timestamp parseTimestampColumnData(com.fasterxml.jackson.databind.JsonNode row,
                                              int colIndex)
                                       throws SQLException

Deprecated.

Throws:
  `SQLException`

#### next

    public boolean next()
                 throws SQLException

Deprecated.

Throws:
  `SQLException`

#### close

    public void close()
               throws SQLException

Deprecated.

Throws:
  `SQLException`

#### getString

    public String getString(int columnIndex)
                     throws SQLException

Deprecated.

Throws:
  `SQLException`

#### getBoolean

    public boolean getBoolean(int columnIndex)
                       throws SQLException

Deprecated.

Throws:
  `SQLException`

#### getByte

    public byte getByte(int columnIndex)
                 throws SQLException

Deprecated.

Throws:
  `SQLException`

#### getShort

    public short getShort(int columnIndex)
                   throws SQLException

Deprecated.

Throws:
  `SQLException`

#### getInt

    public int getInt(int columnIndex)
               throws SQLException

Deprecated.

Throws:
  `SQLException`

#### getLong

    public long getLong(int columnIndex)
                 throws SQLException

Deprecated.

Throws:
  `SQLException`

#### getFloat

    public float getFloat(int columnIndex)
                   throws SQLException

Deprecated.

Throws:
  `SQLException`

#### getDouble

    public double getDouble(int columnIndex)
                     throws SQLException

Deprecated.

Throws:
  `SQLException`

#### getBytes

    public byte[] getBytes(int columnIndex)
                    throws SQLException

Deprecated.

Throws:
  `SQLException`

#### getDate

    public Date getDate(int columnIndex)
                 throws SQLException

Deprecated.

Specified by:
  `getDate` in interface `ResultSet`
Overrides:
  `getDate` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getTime

    public Time getTime(int columnIndex)
                 throws SQLException

Deprecated.

Specified by:
  `getTime` in interface `ResultSet`
Overrides:
  `getTime` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp(int columnIndex)
                           throws SQLException

Deprecated.

Throws:
  `SQLException`

#### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

Deprecated.

Throws:
  `SQLException`

#### getObject

    public Object getObject(int columnIndex)
                     throws SQLException

Deprecated.

Throws:
  `SQLException`

#### findColumn

    public int findColumn(String columnLabel)
                   throws SQLException

Deprecated.

Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal(int columnIndex)
                             throws SQLException

Deprecated.

Throws:
  `SQLException`

#### isBeforeFirst

    public boolean isBeforeFirst()
                          throws SQLException

Deprecated.

Specified by:
  `isBeforeFirst` in interface `ResultSet`
Overrides:
  `isBeforeFirst` in class `AbstractResultSet`
Throws:
  `SQLException`

#### isAfterLast

    public boolean isAfterLast()
                        throws SQLException

Deprecated.

Specified by:
  `isAfterLast` in interface `ResultSet`
Overrides:
  `isAfterLast` in class `AbstractResultSet`
Throws:
  `SQLException`

#### isFirst

    public boolean isFirst()
                    throws SQLException

Deprecated.

Specified by:
  `isFirst` in interface `ResultSet`
Overrides:
  `isFirst` in class `AbstractResultSet`
Throws:
  `SQLException`

#### isLast

    public boolean isLast()
                   throws SQLException

Deprecated.

Specified by:
  `isLast` in interface `ResultSet`
Overrides:
  `isLast` in class `AbstractResultSet`
Throws:
  `SQLException`

#### beforeFirst

    public void beforeFirst()
                     throws SQLException

Deprecated.

Specified by:
  `beforeFirst` in interface `ResultSet`
Overrides:
  `beforeFirst` in class `AbstractResultSet`
Throws:
  `SQLException`

#### afterLast

    public void afterLast()
                   throws SQLException

Deprecated.

Specified by:
  `afterLast` in interface `ResultSet`
Overrides:
  `afterLast` in class `AbstractResultSet`
Throws:
  `SQLException`

#### first

    public boolean first()
                  throws SQLException

Deprecated.

Specified by:
  `first` in interface `ResultSet`
Overrides:
  `first` in class `AbstractResultSet`
Throws:
  `SQLException`

#### last

    public boolean last()
                 throws SQLException

Deprecated.

Specified by:
  `last` in interface `ResultSet`
Overrides:
  `last` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getRow

    public int getRow()
               throws SQLException

Deprecated.

Specified by:
  `getRow` in interface `ResultSet`
Overrides:
  `getRow` in class `AbstractResultSet`
Throws:
  `SQLException`

#### absolute

    public boolean absolute(int row)
                     throws SQLException

Deprecated.

Specified by:
  `absolute` in interface `ResultSet`
Overrides:
  `absolute` in class `AbstractResultSet`
Throws:
  `SQLException`

#### relative

    public boolean relative(int rows)
                     throws SQLException

Deprecated.

Specified by:
  `relative` in interface `ResultSet`
Overrides:
  `relative` in class `AbstractResultSet`
Throws:
  `SQLException`

#### previous

    public boolean previous()
                     throws SQLException

Deprecated.

Specified by:
  `previous` in interface `ResultSet`
Overrides:
  `previous` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getNString

    public String getNString(int columnIndex)
                      throws SQLException

Deprecated.

Throws:
  `SQLException`

#### getStatement

    public Statement getStatement()
                           throws SQLException

Deprecated.

Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp(int columnIndex,
                                  Calendar cal)
                           throws SQLException

Deprecated.

Throws:
  `SQLException`

#### isClosed

    public boolean isClosed()
                     throws SQLException

Deprecated.

Throws:
  `SQLException`